## NAME

d.rast - Displays and overlays raster map layers in the active display frame on the graphics monitor.
(GRASS Display Program)

## SYNOPSIS

d.rast
d.rast help
d.rast [-oi] map=name [catlist=list] [vallist=list] [bg=color]

## DESCRIPTION

d.rast displays the raster map layer name in the active display frame on the graphics monitor.

The program can be run either non-interactively or interactively. If the user specifies the name of a raster map layer (map=name) and (optionally) the -o option on the command line, the program will run non-interactively. Alternately, the user can type simply d.rast on the command line; in this case, the program will prompt the user for the flag setting and parameter value using the standard GRASS parser interface.

### Flags:

-o
  Overlay the named raster map layer onto whatever is already displayed in the active graphics frame. Any no data areas in the named raster map will seem transparent, and reveal the underlying image previously displayed in the graphics frame. If the -o flag is set, only cells containing non-null values will be displayed from the overlaid raster map. All other areas (i.e., the portions of the overlaid map that are null) will leave the underlying display untouched. If the -o flag is not set by the user, d.rast will (by default) completely overwrite whatever appears in the active graphics display frame.
-i
  Invert catlist.

### Parameters:

map=name
  Name of the raster map to be displayed. If the active graphics frame already contains text or graphics, and the user does not wish to use the -o option, it is wise to first invoke d.erase to clear the active graphics frame before running d.rast. After running d.rast other d. programs like d.vect and d.grid can be used to enhance the plot.
catlist=list
  List of categories to be displayed (INT maps).
vallist=list
  List of values to be displayed (FP maps).
bg=color
  Background color for null.

## NOTES

The d.rast raster map overlay option (-o) only works when the color look-up table for the graphics monitor is set to d.colormode fixed.

## SEE ALSO

d.colormode
d.colors
d.colortable
d.display
d.erase
d.grid
d.rast.labels
d.vect
d.what.rast
r.reclass
parser

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/04/12 01:44:09 $